<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>netstandard2.0</TargetFramework>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
    <OutputPath>..\Bin</OutputPath>
    <NoWarn>1701;1702;1591</NoWarn>
    <DefineConstants>TRACE</DefineConstants>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|AnyCPU'">
    <OutputPath>..\..\Bin</OutputPath>
    <DocumentationFile></DocumentationFile>
  </PropertyGroup>

  <ItemGroup>
    <Compile Remove="wwwroot\**" />
    <Content Remove="wwwroot\**" />
    <EmbeddedResource Remove="wwwroot\**" />
    <None Remove="wwwroot\**" />
  </ItemGroup>

  <ItemGroup>
    <Folder Include="Properties\" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Consul" Version="1.6.1.1" />
    <PackageReference Include="Microsoft.AspNetCore.Cors" Version="2.2.0" />
    <PackageReference Include="Microsoft.AspNetCore.Mvc.Core" Version="2.2.5" />
    <PackageReference Include="Microsoft.AspNetCore.StaticFiles" Version="2.2.0" />
    <PackageReference Include="Microsoft.Extensions.Configuration" Version="3.1.7" />
    <PackageReference Include="Microsoft.Extensions.Configuration.Binder" Version="3.1.7" />
    <PackageReference Include="Microsoft.Extensions.Configuration.Ini" Version="3.1.7" />
    <PackageReference Include="Microsoft.Extensions.Configuration.Json" Version="3.1.7" />
    <PackageReference Include="Microsoft.Extensions.Hosting.Abstractions" Version="3.1.7" />
    <PackageReference Include="Swashbuckle.AspNetCore.Swagger" Version="5.5.1" />
    <PackageReference Include="Swashbuckle.AspNetCore.SwaggerGen" Version="5.5.1" />
    <PackageReference Include="Swashbuckle.AspNetCore.SwaggerUI" Version="5.5.1" />
    <PackageReference Include="System.Text.Json" Version="4.7.2" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\..\Common\Siger.Middlelayer.Common\Siger.Middlelayer.Common.csproj" />
    <ProjectReference Include="..\..\Common\Siger.Middlelayer.Log\Siger.Middlelayer.Log.csproj" />
    <ProjectReference Include="..\..\Infrastructure\Siger.Middlelayer.Redis\Siger.Middlelayer.Redis.csproj" />
  </ItemGroup>

</Project>
